#!/bin/sh
# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2010, 2011 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
##
# script to start the CCE collector program
#
#

cd `dirname $0`
WORKDIR=`pwd`

LogPropertyFile=/QIBM/ProdData/OS400/ServiceAgent/logging.properties
ENVP=-Djava.util.logging.config.file=$LogPropertyFile 

CCELOGFILE=/tmp/ccecollector.log
rm -f $CCELOGFILE
# create the log file with a CCSID=819
touch $CCELOGFILE
setccsid 819 $CCELOGFILE

StartTime=`date`
echo Start time = $StartTime >> $CCELOGFILE
echo Work directory = $WORKDIR >> $CCELOGFILE

CCE_CLASSP="./ccecollector.jar"
CCE_CLASSP="$CCE_CLASSP:/QIBM/ProdData/OS400/ServiceAgent/esrvagt.jar"
CCE_CLASSP="$CCE_CLASSP:/QIBM/ProdData/OS400/JAVA400/EXT/db2_classes.jar"
CCE_CLASSP="$CCE_CLASSP:/QIBM/ProdData/OS/Service/ECS/CommonServices.jar"
CCE_CLASSP="$CCE_CLASSP:/QIBM/ProdData/OS/Service/ECS/ConnectivityServices.jar"
CCE_CLASSP="$CCE_CLASSP:/QIBM/ProdData/OS/Service/ECS/Protocol.jar"
CCE_CLASSP="$CCE_CLASSP:/QIBM/ProdData/OS/Service/ECS/TQserrano2.jar"
CCE_CLASSP="$CCE_CLASSP:/QIBM/ProdData/OS/Service/ECS/ibmxmlcrypto.jar"
CCE_CLASSP="$CCE_CLASSP:/QIBM/ProdData/OS/Service/ECS/xml.jar"
CCE_CLASSP="$CCE_CLASSP:/QIBM/ProdData/OS/Service/ECS/xmldsig.jar"
CCE_CLASSP="$CCE_CLASSP:/QIBM/ProdData/OS/Service/ECS/InventoryCollectionClient.jar"
CCE_CLASSP="$CCE_CLASSP:/QIBM/ProdData/OS/Service/ECS/InventoryServices.jar"
CCE_CLASSP="$CCE_CLASSP:/QIBM/ProdData/OS/Service/ECS/StatusServices.jar"
CCE_CLASSP="$CCE_CLASSP:/QIBM/ProdData/OS400/ServiceAgent/cisa/lib/commonutils.jar"
CCE_CLASSP="$CCE_CLASSP:/QIBM/ProdData/OS400/ServiceAgent/cisa/lib/sblim-cim-client2.jar"
CCE_CLASSP="$CCE_CLASSP:/QIBM/ProdData/OS400/ServiceAgent/cisa/lib/scheduler.jar"
CCE_CLASSP="$CCE_CLASSP:/QIBM/ProdData/OS400/ServiceAgent/cisa/lib/uim.jar"
CCE_CLASSP="$CCE_CLASSP:/QIBM/ProdData/OS400/ServiceAgent/cisa/lib/uimengine.jar"
CCE_CLASSP="$CCE_CLASSP:/QIBM/ProdData/OS400/ServiceAgent/cisa/lib/uimfilerepository.jar"
CCE_CLASSP="$CCE_CLASSP:/QIBM/ProdData/OS400/ServiceAgent/cisa/lib/uimutil.jar"
CCE_CLASSP="$CCE_CLASSP:/QIBM/ProdData/OS400/ServiceAgent/cisa/lib/CITProvider.jar"
CCE_CLASSP="$CCE_CLASSP:/QIBM/ProdData/OS400/ServiceAgent/cisa/lib/ResourceCaching.jar"
CCE_CLASSP="$CCE_CLASSP:/QIBM/ProdData/OS400/ServiceAgent/cisa/lib/ResourceCollection.jar"
CCE_CLASSP="$CCE_CLASSP:/QIBM/ProdData/OS400/ServiceAgent/cisa/lib/ResourceCollectionClient.jar"
CCE_CLASSP="$CCE_CLASSP:/QIBM/ProdData/OS400/ServiceAgent/cisa/lib/ResourceCollectionService.jar"
CCE_CLASSP="$CCE_CLASSP:/QIBM/ProdData/OS400/ServiceAgent/cisa/lib/SystemContext.jar"
CCE_CLASSP="$CCE_CLASSP:/QIBM/ProdData/OS400/ServiceAgent/cisa/lib/SysMgmtCore.jar"
CCE_CLASSP="$CCE_CLASSP:/QIBM/ProdData/OS400/ServiceAgent/cisa/lib/UimCim.jar"
CCE_CLASSP="$CCE_CLASSP:/QIBM/ProdData/OS400/ServiceAgent/cisa/lib/UIMProviderCore.jar"

echo CLASSPATH = $CCE_CLASSP >> $CCELOGFILE

echo Run 'java $ENVP -classpath $CCE_CLASSP com.ibm.sysmgmt.uim.provider.core.cce.CCECollector $WORKDIR' >> $CCELOGFILE
java $ENVP -classpath $CCE_CLASSP com.ibm.sysmgmt.uim.provider.core.cce.CCECollector $WORKDIR >> $CCELOGFILE 2>&1

echo Run status = $? >> $CCELOGFILE
EndTime=`date`
echo End time = $EndTime >> $CCELOGFILE
